[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetAutoFillColumnInfo

Gets auto-fill information for the specified column.

## Declaration

Source position: grids.pas line 1086

`protected procedure TCustomGrid.GetAutoFillColumnInfo(`
`const Index: Integer;`
`var aMin: Integer;`
`var aMax: Integer;`
`var aPriority: Integer`
`); virtual;`

## Arguments

`Index` |  | Position for the grid column examined in the method.
`aMin` |  | Minimum size for the column.
`aMax` |  | Maximum size for the column.
`aPriority` |  | Sizing priority for the column.

## Description

GetAutoFillColumnInfo is a method used to get sizing information for an auto-fill column specified in Index. AMin, AMax, and APriority are variable arguments updated with the values for the requested column.

GetAutoFillColumnInfo calls ColumnFromGridColumn to get the TGridColumn instance in Columns with the requested values. If a column exists with the requested Index, its properties are stored in the variable parameters. When Index is a fixed column in the grid, the value in APriority is set to 0 (zero) which disables auto-sizing for the column. If Columns has not been Enabled for the control, or the column index is not valid, APriority is set to 1.

GetAutoFillColumnInfo is called when AutoFillColumns is set to True, and the column sizes are recalculated for the grid control.

## See also

TCustomGrid.AutoFillColumns |  | Indicates whether columns are automatically resized to fill the visible area in the grid.
TCustomGrid.ColumnFromGridColumn |  | Returns the grid column definition at the specified position in Columns.
TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TGridColumn.MinSize |  | The minimum size for the column in pixels.
TGridColumn.MaxSize |  | The maximum size for the column in pixels.
TGridColumn.SizePriority |  | The auto-sizing priority for the column.